Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.operator.uep
Class UserDefinedFeatureSelection

    java.lang.Object
      edu.udo.cs.miningmart.operator.ExecutableOperator
          edu.udo.cs.miningmart.operator.ConceptOperator
              edu.udo.cs.miningmart.operator.SingleCSOperator
                  edu.udo.cs.miningmart.operator.FeatureSelection
                      edu.udo.cs.miningmart.operator.uep.UserDefinedFeatureSelection

public class UserDefinedFeatureSelection
extends FeatureSelection

M4 Compiler

Copyright: Copyright (c) 2002

Company: University Dortmund

Version:
  $Id: UserDefinedFeatureSelection.java,v 1.6 2006/04/11 14:10:18 euler Exp $
Author:
  Felix Koschin

Field Summary

Fields inherited from class edu.udo.cs.miningmart.operator.FeatureSelection
`mySelectedFeatures`

Fields inherited from class edu.udo.cs.miningmart.operator.ExecutableOperator
`generatedSQLDefinitions`

Constructor Summary
`UserDefinedFeatureSelection()`

Method Summary
`protected java.util.Collection` | `computeListOfAttributes(Feature[] theSuperset)` Abstract method to be implemented by all subclasses.
`Feature[]` | `getTheAttributes()` Getter method for the parameter "TheAttributes".
`Feature[]` | `getTheSelectedAttributes()`
`protected boolean` | `mustCopyFeature(java.lang.String nameOfFeature)` This method is for operators that do not copy all Features of the input concept to the output concept.

Methods inherited from class edu.udo.cs.miningmart.operator.FeatureSelection
`generateSQLDefinition, getTypeOfNewColumnSet, occursIn, occursIn`

Methods inherited from class edu.udo.cs.miningmart.operator.SingleCSOperator
`generateColumnSetsForOp, generateSQLDefinition, getNewCSName, getTypeOfNewColumnSet`

Methods inherited from class edu.udo.cs.miningmart.operator.ConceptOperator
`compileStatement, createMetadata, createMetadataForOneBA, createSingleColumnSet, createStatement, estimateStatistics, generateColumns, getInputConcept, getNewCSName, getOutputConcept, getStringForSelection, setNewCSMultiStepBranch`

Methods inherited from class edu.udo.cs.miningmart.operator.ExecutableOperator
`autoPrint, checkConditions, doPrint, doPrint, execute, executeBusinessSingleValueSqlRead, executeBusinessSingleValueSqlReadL, executeBusinessSqlRead, executeBusinessSqlWrite, executeM4SingleValueSqlRead, executeM4SingleValueSqlReadL, executeM4SqlRead, executeM4SqlWrite, getArtificalColumnName, getBusinessDbms, getHighestLoopNr, getM4Db, getM4Dbms, getM4ObjectFromCache, getName, getNextM4SequenceValue, getNumberOfLoops, getOperator, getOpParamsIterator, getParameter, getParameter, getSingleParameter, getSingleParameter, getStep, handleAssertions, isDeselectedParameter, isLoopable, isManual, isStepable, load, print, putM4ObjectToCache, showCreateStatement, storedProceduresAvailable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserDefinedFeatureSelection

    public UserDefinedFeatureSelection()

Method Detail

### getTheSelectedAttributes

    public Feature[] getTheSelectedAttributes()
                                       throws M4CompilerError

  Throws:
    `M4CompilerError`

### getTheAttributes

    public Feature[] getTheAttributes()
                               throws M4CompilerError

  Description copied from class: `FeatureSelection`
  Getter method for the parameter "TheAttributes". This parameter specifies the set of features from which some should be selected.

  Overrides:
    `getTheAttributes` in class `FeatureSelection`
  Returns:
    an array of Feature objects
  Throws:
    `M4CompilerError`

### computeListOfAttributes

    protected java.util.Collection computeListOfAttributes(Feature[] theSuperset)
                                                    throws M4CompilerError

  Description copied from class: `FeatureSelection`
  Abstract method to be implemented by all subclasses.

  Specified by:
    `computeListOfAttributes` in class `FeatureSelection`
  Parameters:
    `theSuperset` - An array of Feature objects to which the selection is to be applied
  Returns:
    the selected Features as a `Collection`
  Throws:
    `M4CompilerError`

### mustCopyFeature

    protected boolean mustCopyFeature(java.lang.String nameOfFeature)
                               throws M4CompilerError

  Description copied from class: `ConceptOperator`
  This method is for operators that do not copy all Features of the input concept to the output concept.

  Overrides:
    `mustCopyFeature` in class `FeatureSelection`
  Throws:
    `M4CompilerError`
  See Also:
    `FeatureSelection.mustCopyFeature(String)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005